Compilación de projectM en Debian Buster

El 6 de junio voy a estar en el ciclo de Poesías Performáticas en el Centro Cultural de España de Monteviedo. Una vez más presentaré mis trabajos de poesía sonora, intervenida con librerías de procesamiento de audio de linux. Para las visualizaciones pienso usar projectM (https://github.com/projectM-visualizer/projectm). Si bien el programa se encuentra en los repositorios de Debian, la versión es muy vieja (2.1.0), y falla al cambiar de visualización.
Para compilar la última versión a la fecha (3.1.1), tuve que introducir algunos cambios respecto a las instrucciones provistas en el sitio de github del proyecto en las opciones de compilación y en los paquetes de desarrollo necesarios.
Las instrucciones se encuentran aquí: https://github.com/projectM-visualizer/projectm/blob/master/BUILDING.md
En primer lugar, los paquetes de desarrollo. Dado que tengo instalados los repositorios de KX Studio de falktk, estoy usando jack2, por lo que tuve que sustituir libjack-dev por libjack-jackd2-dev:

sudo apt install autoconf libtool libsdl2-dev libglm-dev qt5-default qtdeclarative5-dev libqt5opengl5-dev libjack-jackd2-dev libpulse-dev libsdl-dev

Lo segundo es añadir la opción –enable-gles en el comando ./configure. Esto es para que projectM evite el siguiente error:

error: GLSL 3.30 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.40, 1.00 ES, 3.00 ES, 3.10 ES, and 3.20 ES

Los comandos de compilación por tanto serían: 

./autogen.sh # only needed if this is a git clone
./configure --enable--gles --enable-sdl
make
sudo make install

Ahora todo marcha sin problemas.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *